Public Attributes | List of all members
_dspi_handle Struct Reference
Peripheral Driver » HAL Driver » DSPI » Structures » DSPI handle

DSPI handle Structure definition. More...

`#include <gr55xx_hal_dspi.h>`

Collaboration diagram for _dspi_handle:
[legend]

## Public Attributes
dspi_regs_t * | p_instance
| DSPI registers base address More...
dspi_init_t | init
| DSPI communication parameters More...
uint8_t * | p_tx_buffer
| Pointer to DSPI Tx transfer Buffer. More...
__IO uint32_t | tx_xfer_size
| DSPI Tx Transfer size More...
__IO uint32_t | tx_xfer_count
| DSPI Tx Transfer Counter More...
void(* | write_fifo )(struct _dspi_handle *p_dspi)
| Pointer to DSPI Tx transfer FIFO write function. More...
dma_handle_t * | p_dmatx
| DSPI Tx DMA Handle parameters More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_dspi_state_t | state
| DSPI communication state More...
__IO uint32_t | error_code
| DSPI Error code More...
uint32_t | timeout
| Timeout for the DSPI memory access. More...
periph_device_number_t | dspi_number
| DSPI used for Sleep management. More...
uint32_t | retention [3]
| DSPI important register information. More...

## Detailed Description

DSPI handle Structure definition.

Definition at line 116 of file gr55xx_hal_dspi.h.

## Member Data Documentation

## ◆ dspi_number

periph_device_number_t _dspi_handle::dspi_number

DSPI used for Sleep management.

Definition at line 140 of file gr55xx_hal_dspi.h.

## ◆ error_code

__IO uint32_t _dspi_handle::error_code

DSPI Error code

Definition at line 136 of file gr55xx_hal_dspi.h.

## ◆ init

dspi_init_t _dspi_handle::init

DSPI communication parameters

Definition at line 120 of file gr55xx_hal_dspi.h.

## ◆ lock

__IO hal_lock_t _dspi_handle::lock

Locking object

Definition at line 132 of file gr55xx_hal_dspi.h.

## ◆ p_dmatx

dma_handle_t* _dspi_handle::p_dmatx

DSPI Tx DMA Handle parameters

Definition at line 130 of file gr55xx_hal_dspi.h.

## ◆ p_instance

dspi_regs_t* _dspi_handle::p_instance

DSPI registers base address

Definition at line 118 of file gr55xx_hal_dspi.h.

## ◆ p_tx_buffer

uint8_t* _dspi_handle::p_tx_buffer

Pointer to DSPI Tx transfer Buffer.

Definition at line 122 of file gr55xx_hal_dspi.h.

## ◆ retention

uint32_t _dspi_handle::retention[3]

DSPI important register information.

Definition at line 142 of file gr55xx_hal_dspi.h.

## ◆ state

__IO hal_dspi_state_t _dspi_handle::state

DSPI communication state

Definition at line 134 of file gr55xx_hal_dspi.h.

## ◆ timeout

uint32_t _dspi_handle::timeout

Timeout for the DSPI memory access.

Definition at line 138 of file gr55xx_hal_dspi.h.

## ◆ tx_xfer_count

__IO uint32_t _dspi_handle::tx_xfer_count

DSPI Tx Transfer Counter

Definition at line 126 of file gr55xx_hal_dspi.h.

## ◆ tx_xfer_size

__IO uint32_t _dspi_handle::tx_xfer_size

DSPI Tx Transfer size

Definition at line 124 of file gr55xx_hal_dspi.h.

## ◆ write_fifo

void(* _dspi_handle::write_fifo) (struct _dspi_handle *p_dspi)

Pointer to DSPI Tx transfer FIFO write function.

Definition at line 128 of file gr55xx_hal_dspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_dspi.h